$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 GcsDestinationConfig export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  avroFileFormat:
    description: AVRO file format configuration.
    type: avrofileformat
    $ref: AvroFileFormat.yaml
  fileRotationInterval:
    description: |-
      The maximum duration for which new events are added before a file is
      closed and a new file is created. Values within the range of 15-60 seconds
      are allowed.
    type: string
  fileRotationMb:
    description: The maximum file size to be saved in the bucket.
    type: integer
  jsonFileFormat:
    description: JSON file format configuration.
    $ref: JsonFileFormat.yaml
  path:
    description: Path inside the Cloud Storage bucket to write data to.
    type: string
